﻿<!DOCTYPE HTML>
<html lang="ru">
<head>
    <meta charset="utf-8">
    <meta name="generator" content="GitLab Pages">
    <title>Задание</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <header>
        <img src="logo.jpg" class="logo" alt="Логотип сайта">
        <div class="header">Лабораторная № 2</div>
    </header>
    <hr color="1cd3a2">
    <nav class="content">
        <a href="">Домашняя</a>
        <a href="#links">Список ссылок</a>
        <a href="#table">Таблица</a>
        <a href="#form">Форма</a>
    </nav>
    <hr color="1cd3a2">
    <div class="content">
        <div class="content_links">
            <h3 align="center" id="links">Пронумерованный список ссылок:</h3>

            <ol>
                <li><a href="http://example.com">Абсолютная гиперссылка на example.com</a></li>
                <li><a href="https://example.com">Абсолютная гиперссылка на example.com в протоколе https</a></li>
                <li><a href="ftp://example.com/folder/file.txt">FTP без авторизации</a></li>
                <li><a href="ftp://user%40:passowd@ftp.biysk.ru/">FTP с авторизацией</a></li>
                <li><a href="http://example.com/#place">Ссылка на фрагмент страницы некоторого сайта</a></li>
                <li><a href="#top" value="Наверх">Ссылка на фрагмент текущей страницы</a></li>
                <li><a href="https://moodle.kubsu.ru/user/view.php?id=17450&course=780">Ссылка с 2 параметрами в URL</a></li>
                <li><a>Ссылка без href</a></li>
                <li><a href="">Ссылка с пустым href</a></li>
                <li><a href="http://www.netmarble.com/" rel="nofollow">Ссылка, по которой запрещен переход поисковикам</a></li>
                <noindex><li><a href="index2.html">Ссылка, запрещенная для индексации поисковиками</a></li></noindex>
                <li>Контекстная <a href="https://moodle.kubsu.ru/login/index.php">ссылка</a> в тексте абзаца</li>
                <li><a href="https://unsplash.com/s/photos/cute-puppy" target="_blank">Ссылкa-изображение<br><img src="cute-puppy.jpg" alt="пёсель"></a></li>
                <li>
                    <a href="" target="_blank">
                        Ссылкa-изображение с map (квадрат - DuckDuckGo, круг - Yahoo)<br><img src="46.jpg" usemap="#F" alt="кот">
                        <map name="F">
                            <area shape="circle" coords="121,135,83" href="https://www.yahoo.com" alt="Круглая ссылка">
                            <area shape="rect" coords="235,62,368,220" href="https://duckduckgo.com" alt="Прямоугольная ссылка">
                        </map>
                    </a>
                </li>
                <li><a href="file1.html">Относительная на страницу в нынешнем каталоге</a></li>
                <li><a href="about/file2.html">Относительная на страницу в каталоге about</a></li>
                <li><a href="about/file2.html">На страницу в каталоге уровнем выше</a></li>
                <li><a href="about/folder/file3.html">На страницу в каталоге 2 уровнями выше</a></li>
                <li><a href="/main.html">Сокращенная на главную</a></li>
                <li><a href="/about/inpage.html">Сокращенная ссылка на внутреннюю</a></li>
            </ol>

            <div class="content" id="table">
                <table class="table">
                    <h3 align="center" id="table">Табличка:</h3>
                    <tbody>
                        <tr>
                            <th>Колонка 1</th>
                            <th>Колонка 2</th>
                            <th>Колонка 3</th>
                        </tr>
                        <tr>
                            <td>Ячейка 9</td>
                            <td>Ячейка 10</td>
                            <td>Ячейка 11</td>
                        </tr>
                        <tr>
                            <td colspan="2">Ячейка 12</td>
                            <td>Ячейка 13</td>
                        </tr>
                        <tr>
                            <td colspan="3">Ячейка 14</td>
                        </tr>
                        <tr>
                            <td>Ячейка 15</td>
                            <td>Ячейка 16</td>
                            <td>Ячейка 17</td>
                        </tr>
                        <tr>
                            <td>Ячейка 18</td>
                            <td>Ячейка 19</td>
                            <td>Ячейка 20</td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="content" id="form">
                <form class="form">
                    <h3 align="center" id="form">Форма:</h3>
                    <br /><input type="text" placeholder="Имя" /><br>
                    <br /><input type="email" placeholder="Email" /><br>
                    <br /><input type="date"><br>

                    <br />Пол:<br />
                    <input type="radio" id="male" name="gender" />
                    <label for="male">Мужской</label><br>
                    <input type="radio" id="female" name="gender" />
                    <label for="female">Женский</label><br>

                    <br />Количество конечностей: <br />
                    <input type="radio" id="one" name="bodyparts" />
                    <label for="one">1.5</label><br>
                    <input type="radio" id="two" name="bodyparts" />
                    <label for="two">2</label><br>
                    <input type="radio" id="three" name="bodyparts" />
                    <label for="three">8</label><br>
                    <input type="radio" id="four" name="bodyparts" />
                    <label for="four">45</label><br>

                    <br>
                    <br />Сверхспособности: <br />
                    <select name="field-name-4[]" multiple="multiple">
                        <option>Бессмертие</option>
                        <option>Прохождение сквозь стены</option>
                        <option>Полёт</option>
                        <option>Остановка времени</option>
                        <option>Манипуляции причинностью</option>
                        <option>Создание парадоксов</option>
                    </select>
                    <br>

                    <br />
                    <br />Биография:<br /><textarea placeholder="Важнее некуда!"></textarea>
                    <br>

                    <br />
                    <label><input type="checkbox" />С контрактом ознакомлен</label>
                    <br />

                    <br />
                    <input type="submit" value="Отправить" />
                    <br />
                </form>
            </div>
        </div>
    </div>
    <hr color="1cd3a2">
    <footer>
        <p class="footer"><i>&copy; Валерий Балаганин, КубГУ, Краснодар 2019</i></p>
    </footer>
</body>
</html>